com.mxgraph.layout.hierarchical.stage

## Class mxCoordinateAssignment.AreaSpatialCache

- java.lang.Object
- - java.awt.geom.RectangularShape
  - - java.awt.geom.Rectangle2D
    - - java.awt.geom.Rectangle2D.Double
      - - com.mxgraph.layout.hierarchical.stage.mxCoordinateAssignment.AreaSpatialCache

- All Implemented Interfaces:
    java.awt.Shape, java.io.Serializable, java.lang.Cloneable
  Enclosing class:
    mxCoordinateAssignment

      protected class mxCoordinateAssignment.AreaSpatialCache
      extends java.awt.geom.Rectangle2D.Double

  Utility class that stores a collection of vertices and edge points within a certain area. This area includes the buffer lengths of cells.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.geom.Rectangle2D

      `java.awt.geom.Rectangle2D.Double, java.awt.geom.Rectangle2D.Float`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Set<java.lang.Object>` | `cells`

    - ### Fields inherited from class java.awt.geom.Rectangle2D.Double

      `height, width, x, y`

    - ### Fields inherited from class java.awt.geom.Rectangle2D

      `OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `mxCoordinateAssignment.AreaSpatialCache()`

  - ### Method Summary

    - ### Methods inherited from class java.awt.geom.Rectangle2D.Double

      `createIntersection, createUnion, getBounds2D, getHeight, getWidth, getX, getY, isEmpty, outcode, setRect, setRect, toString`

    - ### Methods inherited from class java.awt.geom.Rectangle2D

      `add, add, add, contains, contains, equals, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, union`

    - ### Methods inherited from class java.awt.geom.RectangularShape

      `clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cells

          public java.util.Set<java.lang.Object> cells

  - ### Constructor Detail

    - #### mxCoordinateAssignment.AreaSpatialCache

          protected mxCoordinateAssignment.AreaSpatialCache()

Copyright (c) 2010 Gaudenz Alder. All rights reserved.